> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprosperapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Busy Phone Numbers

> The current phone numbers of the campaign's targets that are in one of
`status`, or that were called at or after `called_since`.



## OpenAPI

````yaml https://voice.getprosperapp.com/openapi.json get /api/v1/campaigns/{campaign_id}/busy-phone-numbers
openapi: 3.1.0
info:
  title: Prosper Voice
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/campaigns/{campaign_id}/busy-phone-numbers:
    get:
      tags:
        - Campaigns
      summary: Get Busy Phone Numbers
      description: |-
        The current phone numbers of the campaign's targets that are in one of
        `status`, or that were called at or after `called_since`.
      operationId: >-
        get_busy_phone_numbers_api_v1_campaigns__campaign_id__busy_phone_numbers_get
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the campaign.
            title: Campaign Id
          description: The ID of the campaign.
        - name: status
          in: query
          required: true
          schema:
            type: array
            items:
              $ref: '#/components/schemas/CampaignTargetStatus'
            minItems: 1
            description: >-
              A target in any of these statuses makes its phone number busy.
              Repeat the param for several. Finished and Failed are refused.
            title: Status
          description: >-
            A target in any of these statuses makes its phone number busy.
            Repeat the param for several. Finished and Failed are refused.
        - name: called_since
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: A call to a target at or after this time makes its phone busy.
            examples:
              - '2026-11-01T16:00:00Z'
            title: Called Since
          description: A call to a target at or after this time makes its phone busy.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusyPhoneNumbersResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CampaignTargetStatus:
      type: string
      enum:
        - Pending
        - Scheduled
        - In Progress
        - Post-processing
        - Finished
        - Failed
        - Waiting
        - SMS Scheduled
      title: CampaignTargetStatus
    BusyPhoneNumbersResponse:
      properties:
        phone_numbers:
          items:
            type: string
          type: array
          title: Phone Numbers
      type: object
      required:
        - phone_numbers
      title: BusyPhoneNumbersResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.